org.eclipse.jetty.deploy.jmx

## Class DeploymentManagerMBean

- java.lang.Object
- - org.eclipse.jetty.jmx.ObjectMBean
  - - org.eclipse.jetty.deploy.jmx.DeploymentManagerMBean

All Implemented Interfaces:
  DynamicMBean

    public class DeploymentManagerMBean
    extends ObjectMBean

### Field Summary

### Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean

`_managed`

### Constructor Summary

Constructors
Constructor and Description
`DeploymentManagerMBean(Object managedObject)`

### Method Summary

Methods
`Collection<AppProvider>` `getAppProviders()`
`Collection<String>` `getApps()`
`Collection<String>` `getApps(String nodeName)`
`Collection<ContextHandler>` `getContexts()`
`Collection<String>` `getNodes()`
`void` `requestAppGoal(String appId, String nodeName)`

### Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean

`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectContextBasis, getObjectName, getObjectNameBasis, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeploymentManagerMBean

    public DeploymentManagerMBean(Object managedObject)

### Method Detail

#### getNodes

    public Collection<String> getNodes()

#### getApps

    public Collection<String> getApps()

#### getApps

    public Collection<String> getApps(String nodeName)

#### getContexts

    public Collection<ContextHandler> getContexts()
                                           throws Exception

Throws:
  `Exception`

#### getAppProviders

    public Collection<AppProvider> getAppProviders()

#### requestAppGoal

    public void requestAppGoal(String appId,
                      String nodeName)